import FlashFile
import Products.CMFCore


from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory

import sys
this_module = sys.modules[__name__]

contentConstructors = (FlashFile.addFlashFile, )
contentClasses = (FlashFile.FlashFile, )

z_bases = utils.initializeBasesPhase1( contentClasses, this_module )

flashfile_globals = globals()

registerDirectory('skins', globals())
registerDirectory('skins/flashfile', globals())

def initialize(context):
    utils.initializeBasesPhase2(z_bases, context)
    context.registerHelpTitle('CMF FlashFile Help')
    context.registerHelp(directory='help')
    utils.ContentInit('CMF FlashFile',
                      content_types = contentClasses,
                      permission = CMFCorePermissions.AddPortalContent,
                      extra_constructors = contentConstructors,
                      fti = FlashFile.factory_type_information\
                      ).initialize( context )

